package kr.co.kihyun.beans.entity;

import java.util.List;

import javax.jdo.PersistenceManager;

public interface Organization<T extends Comparable<?>> {
	public T getId();

//	public void setId(T id);

	public String getName();

//	public void setName(String name);

	public MDept getUpperDept(PersistenceManager pm);

//	public void setUpperDept(MDept upperDept);

	public List<MDept> getOrgTreePath(PersistenceManager pm);

	public Long getPriority();

//	public void setPriority(int priority);
}
